Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package plugins
  Definition Classes
    nsc
- MissingPluginException
- OutputFileWriter
- Plugin
- PluginComponent
- PluginDescription
- PluginLoadException
- Plugins

c

scala.tools.nsc.plugins

# PluginDescription

###
Companion object PluginDescription

#### case class PluginDescription(name: String, classname: String) extends Product with Serializable

A description of a compiler plugin, suitable for serialization to XML for inclusion in the plugin's .jar file.

name

  A short name of the plugin, used to identify it in various contexts. The phase defined by the plugin should have the same name.

classname

  The name of the main Plugin class.

Source
  PluginDescription.scala

Linear Supertypes
java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PluginDescription
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new PluginDescription(name: String, classname: String)

   name

     A short name of the plugin, used to identify it in various contexts. The phase defined by the plugin should have the same name.

   classname

     The name of the main Plugin class.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from PluginDescription toany2stringadd[PluginDescription] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (PluginDescription, B)
   Implicit
     This member is added by an implicit conversion from PluginDescription toArrowAssoc[PluginDescription] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val classname: String
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def ensuring(cond: (PluginDescription) => Boolean, msg: => Any): PluginDescription
   Implicit
     This member is added by an implicit conversion from PluginDescription toEnsuring[PluginDescription] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (PluginDescription) => Boolean): PluginDescription
    Implicit
      This member is added by an implicit conversion from PluginDescription toEnsuring[PluginDescription] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): PluginDescription
    Implicit
      This member is added by an implicit conversion from PluginDescription toEnsuring[PluginDescription] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): PluginDescription
    Implicit
      This member is added by an implicit conversion from PluginDescription toEnsuring[PluginDescription] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from PluginDescription toStringFormat[PluginDescription] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  val name: String
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  def productElementNames: Iterator[String]
    Definition Classes
      Product
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toXML: String

    An XML representation of this description.

    An XML representation of this description. It should be stored inside the jar archive file.

25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (PluginDescription, B)
   Implicit
     This member is added by an implicit conversion from PluginDescription toArrowAssoc[PluginDescription] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromPluginDescription to any2stringadd[PluginDescription]

### Inherited by implicit conversion StringFormat fromPluginDescription to StringFormat[PluginDescription]

### Inherited by implicit conversion Ensuring fromPluginDescription to Ensuring[PluginDescription]

### Inherited by implicit conversion ArrowAssoc fromPluginDescription to ArrowAssoc[PluginDescription]

### Ungrouped